import Base, { Props, ReadOnly } from '../../_base/datatype';

class ObArray<Value> extends Base<Value[]> {
  constructor(props?: Props<Array<ReadOnly<Value>>>) {
    super(props && props.request);

    this.value = props && props.defaultValue ? props.defaultValue : [];
  }

  protected value: Array<ReadOnly<Value>>;

  public set(value: Array<ReadOnly<Value>>): void {
    this.value = value;

    if (this.request) {
      if (value.length > 0) {
        this.request.state.set('complete');
      } else {
        this.request.state.set('empty');
      }
    }

    this.updateDataId();
  }

  public get(): Array<ReadOnly<Value>> {
    return this.value;
  }
}

export default ObArray;