import * as React from 'react';
import Icon from '../Icon';
import Container from '../Container';
import svgRootPath from '../../utils/svgRootPath';
const upSvg = svgRootPath + require('../../assets/up.svg').id;
const downSvg = svgRootPath + require('../../assets/down.svg').id;

interface Props {
  children: string;
  /** 日历主体隐藏或显示 */
  visible: boolean;
  toggleVisibe: () => void;
}

const prefixCls = 'yj-component-calendar';
const Title = (props: Props) => {
  return (
    <Container className={`${prefixCls}-title`} onClick={props.toggleVisibe} alignItems="center" justifyContent="space-between">
      <div className={`${prefixCls}-title-label`}>{props.children}</div>
      <Icon
        className={`${prefixCls}-title-arrow`}
        src={props.visible ? upSvg : downSvg}
      />
    </Container>
  );
};

export default Title;