import * as React from 'react';
import yj from '../../typings/index';
import svgRootPath from '../../utils/svgRootPath';
import './index.scss';
// import * as classNames from 'classnames';
// const loadingSvg = svgRootPath + require('../../assets/loading.svg').id;

export interface Props extends yj.ComponentProps  {
  onClick?: yj.OnClick<SVGElement>;
  /** 图标链接地址 */
  src: string;
}

// const prefixCls = 'yj-component-icon';
const Icon = (props: Props) => {
  // 如果是CDN的地址则去掉id后面的-usage
  const id = props.src.replace(svgRootPath, '');
  const src = svgRootPath[svgRootPath.length - 1] === '#' ? id.replace('-usage', '').replace('#', '') : '#' + id;

  return (
    <svg
      className={props.className}
      style={props.style}
      onClick={props.onClick}
    >
      <use xlinkHref={svgRootPath + src} />
    </svg>
  );
};

export default Icon;