import ServiceRequest, { Props } from '../../../../app/request';

class Save extends ServiceRequest {
  constructor(props: Props) {
    super(props);
  }

  /** 发送请求 */
  public async send(geocoder: BMap.GeocoderResult): Promise<void> {
    const point = geocoder.point;
    this.action({
      config: {
        url: this._api,
        method: 'post',
        data: {
          longitude: point.lng,
          latitude: point.lat,
          province: geocoder.addressComponents.province,
          city: geocoder.addressComponents.city,
          area: geocoder.addressComponents.district,
          street: geocoder.addressComponents.street,
          streetNumber: geocoder.addressComponents.streetNumber,
        }
      }
    }).catch((err) => {
      throw err;
    });
  }
}

export default Save;
