import YueJia from '../../../typings';
import Request, { Event } from '../../../app/request';
import Toast from '../..//Toast';

export interface Params extends Event {
  locations: string;
  callback: (result: YueJia.response) => void;
}

class TengXunTranslate extends Request {
  /** 发送请求 */
  public async send(params: Params): Promise<void> {
    return this.action({
      config: {
        url: '/wechat/map/converttotencent',
        method: 'post',
        data: {
          locations: params.locations,
          type: 3,
        }
      }
    }).then((response) => {
      if (response.retCode === '0000') {
        if (params.callback) {
          params.callback(response);
        }
      } else {
        Toast.show(response.retMsg);
      }
    }).catch((err) => {
      Toast.show('网络繁忙');
      throw err;
    });
  }
}

export default TengXunTranslate;
