import * as React from 'react';
import elementCenteOnPage from '../../utils/元素在页面中居中';
import './index.scss';

interface Props {
  children: any;
}

const prefixCls = 'yj-component-statemachine';
class AutoHeight extends React.PureComponent<Props> {

  private elemRef: React.RefObject<HTMLDivElement> = React.createRef();

  public componentDidMount(): void {
    if (this.elemRef.current) {
      this.elemRef.current.style.height = (elementCenteOnPage(this.elemRef.current) || 0) + 'px';
    }
  }

  public render(): React.ReactNode {
    return (
      <div
        className={prefixCls}
        ref={this.elemRef}
      >
        <div className={`${prefixCls}-body`}>{this.props.children || null}</div>
      </div>
    );
  }
}

export default AutoHeight;