import * as React from 'react';
import LoadingAm, { Props as LoadingProps } from '../StateView/Loading';
import AutoHeight from './AutoHeight';

interface Props extends LoadingProps {
  autoHeight?: boolean;
  children?: any;
}

const Loading = (props: Props) => {
  const autoHeight = props.autoHeight === undefined ? true : props.autoHeight;
  const children = props.children;
  return autoHeight ? (
    <AutoHeight>{children || <LoadingAm {...props} />}</AutoHeight>
  ) : children || <LoadingAm {...props} />;
};

export default Loading;