import Fields, { BaseProps } from '../../_base/service/fields';
import ObArray from '../../app/datatype/obArray';

class UploadImg extends Fields<string[]> {
  constructor(props: BaseProps<string[]>) {
    super(props);

    this.value = new ObArray({ defaultValue: props.defaultValue });
  }

  public value: ObArray<string>;

  public clear(): void {
    this.value.set([]);
    this.setPrompt('');
  }

  public uploadComplete(mediaId: string, index: number): void {
    const temp = this.value.get();

    if (temp[index]) {
      temp[index] = mediaId;
    } else {
      temp.push(mediaId);
    }
  }
}

export default UploadImg;