import Link from '../../component/Link';
import Behavior from './index';

interface Params {
  behavior: Behavior;
  /** 路由动作类型 */
  type: 'enter' | 'exit';
  /** 当前页面 */
  now: string;
  /** 前往的页面 */
  to: string;
  /** 停留时间 */
  staytime: number;
  /** 页面进入时间 */
  entrytime: number;
}

export let prevPageName = '外部入口';

/** 页面离开的行为 */
export default function pageLeave(params: Params): void {
  const { behavior, type, now, to, staytime, entrytime } = params;
  const pageName = now;
  const actionName = type === 'enter' ? '进入-' + to : '后退-' + to;

  behavior.trigger({
    pageName,
    actionName,
    detailedData: {
      from: prevPageName,
      button: Link.button
    },
    stopSeconds: staytime,
    entrytime
  });

  prevPageName = now;
  behavior.postAction.send();
  Link.button = undefined;
}