/// <reference path="./module.d.ts" />
/// <reference path="./lodash/index.d.ts" />

import { RouteComponentProps } from 'react-router';
import { Location } from 'history';

declare namespace YueJia {

  type RequestStatus = 'start' | 'end' | undefined;
  type OnClick<T> = (e: React.MouseEvent<T>, ...args: any[]) => void;
  
  interface PageProps<Match>  {
    match: RouteComponentProps<Match>['match'];
    location: Location;
  }
  
  interface ComponentProps {
    className?: string;
    id?: string;
    style?: React.CSSProperties;
    datatype?: string;
  }

  /** 请求响应 */
  interface response {
    retCode: string;
    result: any;
    retMsg: string;
  }

  interface ComponentBehavior {
    /** 组件的名称 */
    componentName?: string;
    [key: string]: any;
  }
}

export default YueJia;