import device from './device';
import PageStack from '../component/PageStack';

function elementIsVisible(element: HTMLElement): boolean {
  const top = element.offsetTop;
  return top + element.clientHeight > window.pageYOffset && window.pageYOffset + window.innerHeight > top;
}

export default function elementCenteOnPage(element: HTMLDivElement): number {
  const stackComponent = PageStack.getStackComponent();
  let totalHeight = 0;

  if (stackComponent) {
    const root = stackComponent.pageElemRef.current as HTMLDivElement | null;
    if (root) {
      for (let i = 0; i < root.children.length; i++) {
        const child = root.children[i];
  
        if (child && child !== element && elementIsVisible(child as HTMLElement)) {
          totalHeight += child.scrollHeight;
        }
      }
    }
  }

  return device.height - totalHeight;
}